{ config, pkgs, ... }: {
  
  systemd.mounts = [{
    type = "nfs";
    mountConfig = {
      Options = "noatime";
    };
    what = "${config.vars.nfs_server}:${config.vars.nfs_volume}";
    where = config.vars.nfs_mount;
  }];

  systemd.automounts = [{
    wantedBy = [ "multi-user.target" ];
    automountConfig = {
      TimeoutIdleSec = "600";
    };
    where = config.vars.nfs_mount;
  }];
}
