# Edit this configuration file to define what should be installed on
# your system. Help is available in the configuration.nix(5) man page, on
# https://search.nixos.org/options and in the NixOS manual (`nixos-help`).

{ config, pkgs, ... }: {

  # Define a user account. Don't forget to set a password with ‘passwd’.
  users.users.root  = {
    openssh.authorizedKeys.keyFiles = [
      ssh/auth_keys_root
    ];
  };
  users.users.${config.vars.username} = {
    isNormalUser = true;
    extraGroups = [ "wheel" "docker" ]; # Enable ‘sudo’ and allow 'Docker' for the user.
    openssh.authorizedKeys.keyFiles = [
      (builtins.toPath "/etc/nixos/ssh/auth_keys_${config.vars.username}")
    ];
  #   packages = with pkgs; [
  #     firefox
  #     tree
  #   ];
  };
}
